Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.axiom.co/v2/dashboards \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "dashboard": { "name": "<string>", "owner": "<string>", "charts": [ { "id": "<string>", "query": { "apl": "<string>", "queryOptions": { "shownColumns": "<string>" } }, "name": "<string>" } ], "layout": [ { "i": "<string>", "x": 5, "y": 4503599627370495, "w": 6, "h": 50, "minW": 6, "minH": 50.25, "maxW": 6, "maxH": 50, "static": true } ], "timeWindowStart": "<string>", "timeWindowEnd": "<string>", "description": "<string>", "againstTimestamp": "<string>", "uid": "<string>" }, "message": "<string>", "overwrite": false, "uid": "<string>", "version": 123 } '
{ "dashboard": { "createdAt": "2023-11-07T05:31:56Z", "createdBy": "<string>", "dashboard": { "name": "<string>", "owner": "<string>", "charts": [ { "id": "<string>", "query": { "apl": "<string>", "queryOptions": { "shownColumns": "<string>" } }, "name": "<string>" } ], "layout": [ { "i": "<string>", "x": 5, "y": 4503599627370495, "w": 6, "h": 50, "minW": 6, "minH": 50.25, "maxW": 6, "maxH": 50, "static": true } ], "timeWindowStart": "<string>", "timeWindowEnd": "<string>", "description": "<string>", "againstTimestamp": "<string>", "uid": "<string>" }, "id": "<string>", "uid": "<string>", "updatedAt": "2023-11-07T05:31:56Z", "updatedBy": "<string>", "version": 123 }, "overwritten": true }
Create a dashboard from a dashboard document payload.
Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.
Authorization: Bearer <token>
Show child attributes
Stable external dashboard identifier (org-scoped unique).
Required for updates when overwrite is false.
Updated dashboard
created
updated
Was this page helpful?
Suggestions
Contact support